spago-0.21.0

Safe Haskell | None
Language | Haskell2010

Spago.Packages

Synopsis

- install :: (HasEnv env, HasConfig env) => [PackageName] -> RIO env ()
- sources :: (HasLogFunc env, HasConfig env) => RIO env ()
- getGlobs :: [(PackageName, Package)] -> DepsOnly -> [SourcePath] -> Globs
- getGlobsSourcePaths :: Globs -> [SourcePath]
- getJsGlobs :: [(PackageName, Package)] -> DepsOnly -> [SourcePath] -> [SourcePath]
- getDirectDeps :: (HasLogFunc env, HasConfig env) => RIO env [(PackageName, Package)]
- getProjectDeps :: (HasLogFunc env, HasConfig env) => RIO env [(PackageName, Package)]
- getReverseDeps :: HasPackageSet env => PackageName -> RIO env [(PackageName, Package)]
- getTransitiveDeps :: (HasLogFunc env, HasPackageSet env) => [PackageName] -> RIO env [(PackageName, Package)]
- data DepsOnly
  - = DepsOnly
  - | AllSources
- data Globs = Globs {
  - depsGlobs :: Map PackageName SourcePath
  - projectGlobs :: Maybe [SourcePath]
  }

# Documentation

install :: (HasEnv env, HasConfig env) => [PackageName] -> RIO env () #

Fetch all dependencies into `.spago/`

sources :: (HasLogFunc env, HasConfig env) => RIO env () #

Get source globs of dependencies listed in `spago.dhall`

getGlobs :: [(PackageName, Package)] -> DepsOnly -> [SourcePath] -> Globs #

getGlobsSourcePaths :: Globs -> [SourcePath] #

getJsGlobs :: [(PackageName, Package)] -> DepsOnly -> [SourcePath] -> [SourcePath] #

getDirectDeps :: (HasLogFunc env, HasConfig env) => RIO env [(PackageName, Package)] #

Return the direct dependencies of the current project

getProjectDeps :: (HasLogFunc env, HasConfig env) => RIO env [(PackageName, Package)] #

getReverseDeps :: HasPackageSet env => PackageName -> RIO env [(PackageName, Package)] #

getTransitiveDeps :: (HasLogFunc env, HasPackageSet env) => [PackageName] -> RIO env [(PackageName, Package)] #

Return the transitive dependencies of a list of packages

data DepsOnly #

Only build deps and ignore project paths

Constructors

DepsOnly |
AllSources |

#### Instances

Instances details

Eq DepsOnly # |
Instance details Defined in Spago.Types Methods (==) :: DepsOnly -> DepsOnly -> Bool # (/=) :: DepsOnly -> DepsOnly -> Bool #

data Globs #

Constructors

Globs |

Fields

- depsGlobs :: Map PackageName SourcePath
- projectGlobs :: Maybe [SourcePath]